Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class List

    java.lang.Object
      org.hibernate.mapping.Collection
          org.hibernate.mapping.IndexedCollection
              org.hibernate.mapping.List

All Implemented Interfaces:
  Serializable, Fetchable, Filterable, Value

Direct Known Subclasses:
  Array

    public class List

extends IndexedCollection

A list mapping has a primary key consisting of the key columns + index column.

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.IndexedCollection
`DEFAULT_INDEX_COLUMN_NAME`

Fields inherited from class org.hibernate.mapping.Collection
`DEFAULT_ELEMENT_COLUMN_NAME, DEFAULT_KEY_COLUMN_NAME`

Constructor Summary
`List(PersistentClass owner)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`int` | `getBaseIndex()`
`CollectionType` | `getDefaultCollectionType()`
`boolean` | `isList()`
`void` | `setBaseIndex(int baseIndex)`

Methods inherited from class org.hibernate.mapping.IndexedCollection
`getIndex, getIndexNodeName, isIndexed, setIndex, setIndexNodeName, validate`

Methods inherited from class org.hibernate.mapping.Collection
`addFilter, addManyToManyFilter, createAllKeys, createForeignKey, getBatchSize, getCacheConcurrencyStrategy, getCacheRegionName, getCollectionPersisterClass, getCollectionTable, getCollectionType, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getComparator, getComparatorClassName, getCustomSQLDelete, getCustomSQLDeleteAll, getCustomSQLDeleteAllCheckStyle, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getElement, getElementNodeName, getFetchMode, getFilterMap, getKey, getLoaderName, getManyToManyFilterMap, getManyToManyOrdering, getManyToManyWhere, getNodeName, getOrderBy, getOwner, getOwnerEntityName, getReferencedPropertyName, getRole, getSynchronizedTables, getTable, getType, getTypeName, getTypeParameters, getWhere, hasFormula, hasOrder, hasOrphanDelete, isAlternateUniqueKey, isArray, isCustomDeleteAllCallable, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isEmbedded, isExtraLazy, isIdentified, isInverse, isLazy, isMap, isMutable, isNullable, isOneToMany, isOptimisticLocked, isPrimitiveArray, isSet, isSimpleValue, isSorted, isSubselectLoadable, isValid, setBatchSize, setCacheConcurrencyStrategy, setCacheRegionName, setCollectionPersisterClass, setCollectionTable, setComparator, setComparatorClassName, setCustomSQLDelete, setCustomSQLDeleteAll, setCustomSQLInsert, setCustomSQLUpdate, setElement, setElementNodeName, setEmbedded, setExtraLazy, setFetchMode, setInverse, setKey, setLazy, setLoaderName, setManyToManyOrdering, setManyToManyWhere, setMutable, setNodeName, setOptimisticLocked, setOrderBy, setOrphanDelete, setOwner, setReferencedPropertyName, setRole, setSorted, setSubselectLoadable, setTypeName, setTypeParameters, setTypeUsingReflection, setWhere, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### List

    public List(PersistentClass owner)

Method Detail

### isList

    public boolean isList()

  Overrides:
    `isList` in class `IndexedCollection`

### getDefaultCollectionType

    public CollectionType getDefaultCollectionType()
                                            throws MappingException

  Specified by:
    `getDefaultCollectionType` in class `Collection`
  Throws:
    `MappingException`

### accept

    public Object accept(ValueVisitor visitor)

### getBaseIndex

    public int getBaseIndex()

### setBaseIndex

    public void setBaseIndex(int baseIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD